## cutefish-qt-plugins-0.5-4.src.tar.gz

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(cutefish-qt-plugins)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

add_subdirectory(platformtheme)
add_subdirectory(widgetstyle)
